org.appng.openapi.invoke

## Enum ApiClient.CollectionFormat

- java.lang.Object
- - java.lang.Enum<ApiClient.CollectionFormat>
  - - org.appng.openapi.invoke.ApiClient.CollectionFormat

- All Implemented Interfaces:
    Serializable, Comparable<ApiClient.CollectionFormat>
  Enclosing class:
    ApiClient

      public static enum ApiClient.CollectionFormat
      extends Enum<ApiClient.CollectionFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV`
    `MULTI`
    `PIPES`
    `SSV`
    `TSV`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApiClient.CollectionFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApiClient.CollectionFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CSV

          public static final ApiClient.CollectionFormat CSV

    - #### TSV

          public static final ApiClient.CollectionFormat TSV

    - #### SSV

          public static final ApiClient.CollectionFormat SSV

    - #### PIPES

          public static final ApiClient.CollectionFormat PIPES

    - #### MULTI

          public static final ApiClient.CollectionFormat MULTI

  - ### Method Detail

    - #### values

          public static ApiClient.CollectionFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiClient.CollectionFormat c : ApiClient.CollectionFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiClient.CollectionFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.